Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`persisted`.`aot``

module documentation
(source)

AOT: Abstract Object Trees The source-code-marshallin'est abstract-object-serializin'est persister this side of Marmalade!

Class | `AOTJellier` | No class docstring; 0/3 instance variable, 2/4 methods documented
Class | `AOTUnjellier` | I handle the unjellying of an Abstract Object Tree. See AOTUnjellier.unjellyAO
Class | `Class` | Undocumented
Class | `Copyreg` | Undocumented
Class | `Deref` | Undocumented
Class | `Function` | Undocumented
Class | `Instance` | Undocumented
Class | `InstanceMethod` | Undocumented
Class | `Module` | Undocumented
Class | `Named` | Undocumented
Class | `Ref` | Undocumented
Exception | `NonFormattableDict` | A dictionary was not formattable.
Function | `dictToKW` | Undocumented
Function | `getSource` | Pass me an AO, I'll return a nicely-formatted source representation.
Function | `indentify` | Undocumented
Function | `jellyToAOT` | Convert an object to an Abstract Object Tree.
Function | `jellyToSource` | Pass me an object and, optionally, a file object. I'll convert the object to an AOT either return it (if no file was specified) or write it to the file.
Function | `prettify` | Undocumented
Function | `unjellyFromAOT` | Pass me an Abstract Object Tree, and I'll unjelly it for you.
Function | `unjellyFromSource` | Pass me a string of code or a filename that defines an 'app' variable (in terms of Abstract Objects!), and I'll execute it and unjelly the resulting AOT for you, returning a newly unpersisted Application object!...
Variable | `NoStateObj` | Undocumented
Variable | `r` | Undocumented
Class | `_NoStateObj` | Undocumented
Function | `_classOfMethod` | Get the associated class of the given method object.
Function | `_funcOfMethod` | Get the associated function of the given method object.
Function | `_selfOfMethod` | Get the object that a bound method is bound to.
Constant | `_SIMPLE_BUILTINS` | Undocumented

def dictToKW(d): (source)

Undocumented

def getSource(ao): (source)

Pass me an AO, I'll return a nicely-formatted source representation.

def indentify(s): (source)

Undocumented

def jellyToAOT(obj): (source)

Convert an object to an Abstract Object Tree.

def jellyToSource(obj, file=None): (source)

Pass me an object and, optionally, a file object. I'll convert the object to an AOT either return it (if no file was specified) or write it to the file.

def prettify(obj): (source)

Undocumented

def unjellyFromAOT(aot): (source)

Pass me an Abstract Object Tree, and I'll unjelly it for you.

def unjellyFromSource(stringOrFile): (source)

Pass me a string of code or a filename that defines an 'app' variable (in terms of Abstract Objects!), and I'll execute it and unjelly the resulting AOT for you, returning a newly unpersisted Application object!

NoStateObj = (source)

Undocumented

r = (source)

Undocumented

def _classOfMethod(methodObject): (source)

Get the associated class of the given method object.

Parameters
methodObject:`types.MethodType` | a bound method
Returns
`type` | a class

def _funcOfMethod(methodObject): (source)

Get the associated function of the given method object.

Parameters
methodObject:`types.MethodType` | a bound method
Returns
`types.FunctionType` | the function implementing `methodObject`

def _selfOfMethod(methodObject): (source)

Get the object that a bound method is bound to.

Parameters
methodObject:`types.MethodType` | a bound method
Returns
`object` | the `self` passed to `methodObject`

_SIMPLE_BUILTINS = (source)

Undocumented

Value

    [bool, bytes, str, int, float, complex, type(None), slice, type(Ellipsis)]